#include "resourcepool.hpp"

ResourcePool::ResourcePool(void)
{
}

ResourcePool::~ResourcePool(void)
{
}

void ResourcePool::Initialize (void) // loads all the resources
{
	fireImage.Load("Images\\burst.bmp");
	iceImage.Load("Images\\burst.bmp"); iceImage.Invert(true); iceImage.Invert();
	shipsImage.Load("Images\\ships.gif", "Images\\ships_a.gif");
	shipsImage.SwapColors(rand());
	for(int i = 0 ; i < 24 ; i++) {
		jetImage[i].Create(64,64);
		fireImage.Rotate(&jetImage[i],(float)i*360.0f/24, 0.707f);
		jetImage[i].ConvertToGrayscale();
	}
	shellImage.Load("Images\\shell.bmp");
}