#ifndef RESOURCEPOOL_DEFINED
	#define RESOURCEPOOL_DEFINED
	#include "gamex.hpp"

	class ResourcePool
	{
		public:
			ResourcePool(void);
			~ResourcePool(void);
	
			void Initialize (void); // loads all the resources (i.e. initializes the field variables below)

			ImageX fireImage, iceImage;
			ImageX shipsImage;
			ImageX jetImage[24];
			ImageX shellImage;
		private:
	};
	#ifdef GAMEX_MAIN // act sort of like an extension of GameX
		ResourcePool rp;
	#else
		extern ResourcePool rp; // where rp is a global ResourcePool object
	#endif
#endif